---
- name: Create directory for MQ license
  file:
    path: /tmp/mq_license_{{ MQVersion }}/license/
    recurse: yes
    state: directory

- name: Accept MQ mqlicense
  file:
    path: /tmp/mq_license_{{ MQVersion }}/license/status.dat
    state: touch

- name: Create directory for MQ fix license
  file:
    path: /tmp/mq_license_{{ FIXVersion }}/license/
    recurse: yes
    state: directory

- name: Accept MQ fix mqlicense
  file:
    path: /tmp/mq_license_{{ FIXVersion }}/license/status.dat
    state: touch

- name: Install MQ base packages
  yum:
    name: "{{ mq_base_packages }}"
    state: present
    enablerepo: "SERVER_REPO_FOR_PACKAGES"
  register: install_state_base

- name: Install MQ fix packages
  yum:
    name: "{{ mq_fix_packages }}"
    state: present
    enablerepo: "SERVER_REPO_FOR_PACKAGES"
  register: install_state

- name: Create links for MQ
  shell: /opt/mqm/bin/setmqinst -i -n Installation1
  when: install_state is changed
